%global url_ver %%(echo %{version} | cut -d. -f1)

Summary:       Disks
Name:          gnome-disk-utility
Version:       43.0
Release:       7%{?dist}
License:       GPLv2+
URL:           https://gitlab.gnome.org/GNOME/gnome-disk-utility
Source0:       https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: gcc meson pkgconfig(dvdread) pkgconfig(gio-unix-2.0) pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gtk+-3.0) pkgconfig(libcanberra-gtk3) pkgconfig(libhandy-1)
BuildRequires: pkgconfig(liblzma) pkgconfig(libnotify) pkgconfig(libsecret-1) pkgconfig(libsystemd)
BuildRequires: pkgconfig(pwquality) pkgconfig(udisks2) gettext docbook-style-xsl
BuildRequires: /usr/bin/xsltproc /usr/bin/desktop-file-validate /usr/bin/appstream-util
Requires:      libhandy udisks2

%description
This package contains the Disks and Disk Image Mounter applications.  Disks supports partitioning,
file system creation, encryption, fstab/crypttab editing, ATA SMART and other features

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name}

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.DiskUtility.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_sysconfdir}/xdg/autostart/org.gnome.SettingsDaemon.DiskUtilityNotify.desktop
%{_libexecdir}/gsd-disk-utility-notify
%{_bindir}/gnome-disks
%{_bindir}/gnome-disk-image-mounter
%{_datadir}/applications/org.gnome.DiskUtility.desktop
%{_datadir}/applications/gnome-disk-image-mounter.desktop
%{_datadir}/applications/gnome-disk-image-writer.desktop
%{_datadir}/dbus-1/services/org.gnome.DiskUtility.service
%{_datadir}/glib-2.0/schemas/org.gnome.Disks.gschema.xml
%{_datadir}/icons/hicolor/*/apps/gnome-disks*
%{_datadir}/icons/hicolor/*/apps/org.gnome.DiskUtility*
%{_datadir}/metainfo/org.gnome.DiskUtility.appdata.xml
%{_mandir}/man1/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 Wang Guodong <gordonwwang@tencent.com> - 43.0-4
- Rebuilt for udisks2 2.10.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Shuo Wang <abushwang@tencent.com> - 43.0-1
- initial build
